Bug 1004556 - Review Request: xmpcore - Java XMP Library
Review Request: xmpcore - Java XMP Library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE-Legal 1004563 1019650 1193630
  Show dependency treegraph
 
Reported: 2013-09-04 18:43 EDT by gil cattaneo
Modified: 2015-02-19 17:24 EST (History)
4 users (show)

See Also:
Fixed In Version: xmpcore-5.1.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-19 17:24:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-09-04 18:43:23 EDT
Spec URL: http://gil.fedorapeople.org/xmpcore.spec
SRPM URL: http://gil.fedorapeople.org/xmpcore-5.1.2-1.fc19.src.rpm
Description:
The XMP Library for Java is based on the
C++ XMPCore library and the API is similar.
Fedora Account System Username: gil
Comment 1 Björn "besser82" Esser 2013-10-16 14:15:04 EDT
taken  ;)
Comment 2 Björn "besser82" Esser 2013-10-19 04:35:55 EDT
Package has no issues.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 45 files have unknown license. Detailed output of
     licensecheck in
     /home/besser82/shared/fedora/review/1004556-xmpcore/licensecheck.txt

     ---> License-tag is fine.  :)

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xmpcore-
     javadoc

     ---> False positive.  Documentation should have no Requires
          on main-pkg.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> no testsuite available.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xmpcore-5.1.2-1.fc21.noarch.rpm
          xmpcore-javadoc-5.1.2-1.fc21.noarch.rpm
          xmpcore-5.1.2-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xmpcore-javadoc xmpcore
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
xmpcore-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

xmpcore (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
xmpcore-javadoc:
    xmpcore-javadoc

xmpcore:
    mvn(com.adobe.xmp:xmpcore)
    xmpcore



Source checksums
----------------
http://repo1.maven.org/maven2/com/adobe/xmp/xmpcore/5.1.2/xmpcore-5.1.2-sources.jar :
  CHECKSUM(SHA256) this package     : 3f2f5dd6c983ac574f9bf721ae0eacf888bc26eb40a8650b231d06f29d05ee75
  CHECKSUM(SHA256) upstream package : 3f2f5dd6c983ac574f9bf721ae0eacf888bc26eb40a8650b231d06f29d05ee75


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1004556
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 3 gil cattaneo 2013-10-19 06:39:04 EDT
Thanks!

New Package SCM Request
=======================
Package Name: xmpcore
Short Description: Java XMP Library
Owners: gil
Branches: f19 f20
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-10-19 17:13:58 EDT
Git done (by process-git-requests).
Comment 5 gil cattaneo 2013-10-19 17:16:00 EDT
Thanks!
Comment 6 Fedora Update System 2013-10-19 17:50:28 EDT
xmpcore-5.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xmpcore-5.1.2-1.fc20
Comment 7 Fedora Update System 2013-10-19 17:59:35 EDT
xmpcore-5.1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xmpcore-5.1.2-1.fc19
Comment 8 Fedora Update System 2013-10-20 13:45:12 EDT
xmpcore-5.1.2-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-10-28 23:45:44 EDT
xmpcore-5.1.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-11-10 01:05:28 EST
xmpcore-5.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 11 Cédric OLIVIER 2015-02-17 15:38:44 EST
Package Change Request
======================
Package Name: xmpcore
New Branches: epel7
Owners: cquad
Comment 12 gil cattaneo 2015-02-17 17:16:52 EST
you should set to "?" the Flags (click on more flags):	
	rhel‑rawhide 
... i guess
Comment 13 Gwyn Ciesla 2015-02-18 07:07:49 EST
Comments from the Fedora maintainer?
Comment 14 gil cattaneo 2015-02-18 16:41:43 EST
(In reply to Jon Ciesla from comment #13)
> Comments from the Fedora maintainer?

i agree

Package Change Request
======================
Package Name: xmpcore
New Branches: epel7
Owners: cquad
Comment 15 Gwyn Ciesla 2015-02-19 08:55:28 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.